#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-control-center-41.4

- Next

  gnome-shell-41.4

- Up
- Home

# Mutter-41.4

## Introduction to Mutter

Mutter is the window manager for GNOME. It is not invoked directly, but from GNOME Session (on a machine with a hardware accelerated video driver).

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/mutter/41/mutter-41.4.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/mutter/41/mutter-41.4.tar.xz

- Download MD5 sum: 49766d24a63cb9ca3f6bf20c188ca9a5

- Download size: 2.6 MB

- Estimated disk space required: 75 MB

- Estimated build time: 0.6 SBU (Using parallelism=4)

### Mutter Dependencies

#### Required

gnome-settings-daemon-41.0, graphene-1.10.6, libxcvt-0.1.1, libxkbcommon-1.4.0, pipewire-0.3.47, and Zenity-3.32.0

#### Recommended

desktop-file-utils-0.26, gobject-introspection-1.70.0, startup-notification-0.12, and sysprof-3.42.1

#### Recommended (Required to build the Wayland compositor)

libinput-1.19.3, Wayland-1.20.0, wayland-protocols-1.25, and Xwayland-22.1.0. Additionally, GTK+-3.24.31 needs to be built with Wayland support.

#### Optional

Xorg-Server-21.1.3 (for X11 sessions)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/mutter

## Installation of Mutter

Install Mutter by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release -Dtests=false .. &&
    ninja

The test suite for this package does not work on systems using glibc-2.35 and later.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dtests=false`: Prevents building the tests, and removes a hard requirement on catchsegv or xvfb-run.

`-Dprofiler=false`: Use this option if Sysprof is not installed, and you don't want meson to download Sysprof source code.

## Contents

Installed Programs: mutter
Installed Libraries: libmutter-9.so
Installed Directories: /usr/{lib,include,libexec/installed-tests,share/{installed-tests}}/mutter-9

### Short Descriptions

mutter | is a Clutter based compositing GTK+ Window Manager
`libmutter-9.so` | contains the Mutter API functions

Last updated on

- Prev

  gnome-control-center-41.4

- Next

  gnome-shell-41.4

- Up
- Home